Bug 188011 - two minor logic issues in mk-rescueimage.*
two minor logic issues in mk-rescueimage.*
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-05 08:02 EDT by Dennis Gregorovic
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-10 17:40:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dennis Gregorovic 2006-04-05 08:02:16 EDT
1) The usage method should not exit with status 0.  This blocks the exit with
status 1 that mk-rescueimage later tries to perform if you pass in the wrong
number of arguments

2) Now that productpath is mandatory, the usage text should be updated and the
"if len(sys.argv) > 4" check can go away
Comment 1 David Cantrell 2006-04-10 17:40:33 EDT
Fixed and committed.

Note You need to log in before you can comment on or make changes to this bug.